Bug 859948 - atd filling logs due to invalid task file
atd filling logs due to invalid task file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: at (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 09:14 EDT by Dimi Paun
Modified: 2013-08-01 13:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:51:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimi Paun 2012-09-24 09:14:40 EDT
Description of problem:
This morning I discovered my entire root partition 100% due to atd generating endless messages of the form:

Sep 24 09:02:52 dimi atd[1843]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1844]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1845]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1846]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1847]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1848]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1849]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1850]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1851]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1852]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1853]: File a0000401568665 is in wrong format - aborting
Sep 24 09:02:52 dimi atd[1854]: File a0000401568665 is in wrong format - aborting


Version-Release number of selected component (if applicable):
at-3.1.13-8.fc17.x86_64

Indeed, looking in the at spool dir there are 2 empty task files:

[root@dimi ~]# ll /var/spool/at
total 4
-rwx------  2 root   root      0 Sep  5 12:35 =0000401568665
-rwx------  2 root   root      0 Sep  5 12:35 a0000401568665
drwx------. 2 daemon daemon 4096 Aug 23 17:40 spool


However, I don't know how they got there, and even if they did get there somehow, this is no reason to fill out the logs with countless messages.

This is a blowup case that almost completely disabled my box.
Comment 1 Marcela Mašláňová 2012-09-25 12:04:16 EDT
Could you tell me how you created the invalid format of task? I didn't see anything like that.
How did you created your at jobs?
Comment 2 Dimi Paun 2012-09-26 10:20:55 EDT
I didn't do _anything_ on the computer. I simply returned to my office after the weekend, the the problem was there.

As I said, at(1) shouldn't blow up like that in the face of errors, it totally filled my root partition bringing the box to its knees. 

Even more so when it wasn't caused by any user action (and if it was, why was such a user action allowed?).
Comment 3 Marcela Mašláňová 2012-09-26 10:31:57 EDT
I can't reproduce it, so I can't fix it. Imho it's not a problem of at.

At is running jobs created by user, they do not have zero size. I can't say from your bug report what happened to your system, but it sounds like your files were corrupted. You might check your file system.
Comment 4 Dimi Paun 2012-09-26 10:49:16 EDT
Marcela, how can you close it as NOTABUG?!?

The fact that you can't reproduce it doesn't make it a non-bug.

And more to the point, no matter if the files are corrupted or not, this is no reason to hose the system!

Assume you have a error on disk, would that be OK to totally hose a system? Of course not, that's why we have journal-based file system, fsck, etc.

No matter how you look at it, it is a bug of at(1). It has some empty task files  (this is not some weird file corruption, it's just an empty file), complain once then ignore or delete them, don't generate _hundreds_ of error messages *per second* to fill the logs! What other program can you name with this behavior?!?

And I'll like to re-iterate that these task files where generated somehow by the system (e.g. another package), I've never used at(1) directly.
Comment 5 Fedora End Of Life 2013-07-04 02:20:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 13:51:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.